OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAFSchema
MXCAFDoc

# MXCAFDoc_AreaRetrievalDriver Class Reference

`#include <MXCAFDoc_AreaRetrievalDriver.hxx>`

## Public Member Functions
Standard_EXPORT | MXCAFDoc_AreaRetrievalDriver (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: XCAFDoc_Area .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT void | Paste (const Handle(PDF_Attribute)&Source, const Handle(TDF_Attribute)&Target, const Handle(MDF_RRelocationTable)&RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MXCAFDoc_AreaRetrievalDriver::MXCAFDoc_AreaRetrievalDriver | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) |

## Member Function Documentation

Standard_EXPORT const MXCAFDoc_AreaRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute MXCAFDoc_AreaRetrievalDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void MXCAFDoc_AreaRetrievalDriver::Paste | ( | const Handle(PDF_Attribute)& | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | const Handle(MDF_RRelocationTable)& | RelocTable
| ) | const

Standard_EXPORT Handle_Standard_Type MXCAFDoc_AreaRetrievalDriver::SourceType | ( |  | ) | const

Standard_EXPORT Standard_Integer MXCAFDoc_AreaRetrievalDriver::VersionNumber | ( |  | ) | const

The documentation for this class was generated from the following file:

- MXCAFDoc_AreaRetrievalDriver.hxx